package ru.myitschool.work.domain;

import androidx.annotation.NonNull;

import java.util.function.Consumer;

import ru.myitschool.work.domain.entities.Status;
import ru.myitschool.work.domain.entities.UserEntity;
import ru.myitschool.work.domain.sign.SignUserRepository;

public class GetUserByUsernameUseCase {
    private final SignUserRepository repo;

    public GetUserByUsernameUseCase(SignUserRepository repo) {
        this.repo = repo;
    }

    public void execute(@NonNull String username, @NonNull Consumer<Status<UserEntity>> callback) {
        repo.getUserByUsername(username, callback);
    }
}
