package ru.myitschool.work.domain.sign;

import androidx.annotation.NonNull;

import java.util.function.Consumer;

import ru.myitschool.work.domain.entities.UserEntity;
import ru.myitschool.work.domain.entities.Status;

public class IsUserExistUseCase {
    private final SignUserRepository repo;

    public IsUserExistUseCase(SignUserRepository repo) {
        this.repo = repo;
    }

    public void execute(@NonNull String username, Consumer<Status<Boolean>> callback) {
        //repo.isExistUser(username, callback);
        repo.isExistUser(username, status -> {
            boolean isAvailable = status.getStatusCode() == 200 || status.getStatusCode() == 404;
            callback.accept(
                    new Status<>(
                            status.getStatusCode(),
                            isAvailable ? status.getStatusCode() == 200 : null,
                            status.getErrors()
                    )
            );
        });
    }
}
