package ru.myitschool.work.ui.admin;

import android.os.Bundle;
import android.view.View;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.ViewModelProvider;
import androidx.navigation.Navigation;

import ru.myitschool.work.R;
import ru.myitschool.work.databinding.FragmentAdminBinding;
import ru.myitschool.work.databinding.FragmentProfileBinding;
import ru.myitschool.work.domain.GetUserByUsernameUseCase;
import ru.myitschool.work.domain.entities.UserEntity;
import ru.myitschool.work.ui.profile.ProfileViewModel;
import ru.myitschool.work.utils.Constants;
import ru.myitschool.work.utils.PreferenceManager;

public class AdminFragment extends Fragment {
    private static final String KEY_USER_USERNAME = "username";

    private FragmentAdminBinding binding;
    private PreferenceManager preferenceManager;
    private AdminViewModel viewModel;

    public AdminFragment() {
        super(R.layout.fragment_admin);
    }

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        binding = FragmentAdminBinding.bind(view);
        preferenceManager = new PreferenceManager(this.getContext());
        viewModel = new ViewModelProvider(this).get(AdminViewModel.class);
        binding.searchButton.setOnClickListener(view1 -> {
            String usernameSearch = binding.search.getText().toString();
            // TODO : к базе
        });







    }

    @Override
    public void onDestroyView() {
        binding = null;
        super.onDestroyView();
    }

    public static Bundle getBundle(@NonNull String id) {
        Bundle bundle = new Bundle();
        bundle.putString(KEY_USER_USERNAME, id);
        return bundle;
    }
}
