package ru.myitschool.work.ui.information;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import java.util.ArrayList;
import java.util.List;

import ru.myitschool.work.databinding.ItemHistoryBinding;
import ru.myitschool.work.domain.entities.HistoryEntity;
import ru.myitschool.work.ui.History;

public class HistoryAdapter extends RecyclerView.Adapter<HistoryAdapter.ViewHolder> {

    private final List<HistoryEntity> data = new ArrayList<>();

    @NonNull
    @Override
    public ViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        return new ViewHolder(
                ItemHistoryBinding.inflate(
                        LayoutInflater.from(parent.getContext()),
                        parent,
                        false
                ).getRoot()
        );

    }

    @Override
    public void onBindViewHolder(@NonNull ViewHolder holder, int position) {
        holder.bind(data.get(position));
    }

    @Override
    public int getItemCount() {
        return data.size();
    }

    public void updateData(List<HistoryEntity> newData) {
        data.clear();
        data.addAll(newData);
        notifyDataSetChanged();
    }

    public class ViewHolder extends RecyclerView.ViewHolder {
        private final ItemHistoryBinding binding;

        public ViewHolder(@NonNull View itemView) {
            super(itemView);
            binding = ItemHistoryBinding.bind(itemView);
        }

        public void bind(HistoryEntity item) {
            //binding.time.setText(item.getTime().toString().substring(0, 10) + " "
                    //+ item.getTime().toString().substring(11, 16));
            //binding.nameReader.setText(item.getType());
            binding.time.setText(item.getTime());
            binding.code.setText(item.getCode().toString());
            binding.type.setText(item.getType());
            /*if (item.getType() == 1){
                binding.type.setText("QR-code");
            }
            else{
                binding.type.setText("Карта");
            }*/
        }
    }
}